[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TField.DataType

The data type of the field.

## Declaration

Source position: db.pas line 405

`public property TField.DataType : TFieldType read FDataType;`

## Description

Datatype indicates the type of data the field has. This property is initialized when the dataset is opened or when persistent fields are created for the dataset. Instead of checking the class type of the field, it is better to check the Datatype, since the actual class of the TField instance may differ depending on the dataset.

## See also

TField.FieldKind |  | The kind of field.

Documentation generated on: Feb 26 2014